function g1 = static_g1(T, y, x, params, T_flag)
% function g1 = static_g1(T, y, x, params, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%                                              to evaluate the model
%   T_flag    boolean                 boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   g1
%

if T_flag
    T = RBC_NewsShocks.static_g1_tt(T, y, x, params);
end
g1 = zeros(20, 20);
g1(1,3)=1;
g1(1,5)=(-(T(2)*y(11)*y(13)*T(10)));
g1(1,7)=T(13);
g1(1,9)=1;
g1(1,11)=(-(T(1)*T(2)));
g1(1,13)=(-(T(2)*y(11)*y(5)*T(10)));
g1(2,1)=1;
g1(2,5)=(-(T(2)*y(11)*y(13)*T(10)));
g1(2,7)=T(13);
g1(2,11)=(-(T(1)*T(2)));
g1(2,13)=(-(T(2)*y(11)*y(5)*T(10)));
g1(3,13)=(-(params(5)*getPowerDeriv(y(13),1+params(6),1)/(1+params(6))));
g1(3,16)=1;
g1(4,5)=1-(1-y(16));
g1(4,9)=(-1);
g1(4,16)=y(5);
g1(5,12)=1-params(7);
g1(6,3)=(-1)/(T(4)*T(4));
g1(6,7)=T(14)/(T(4)*T(4));
g1(6,15)=(-1);
g1(7,3)=(-(params(1)*(-(y(13)*T(7)))/(T(4)*T(4))));
g1(7,5)=(-(params(1)*y(13)*T(2)*y(11)*params(4)*y(13)*T(11)/T(4)));
g1(7,7)=(-(params(1)*(T(4)*y(13)*T(6)*T(12)-y(13)*T(7)*(-T(14)))/(T(4)*T(4))));
g1(7,11)=(-(params(1)*y(13)*T(2)*params(4)*T(5)/T(4)));
g1(7,13)=(-(params(1)*(T(7)+y(13)*T(2)*y(11)*params(4)*y(5)*T(11))/T(4)));
g1(7,15)=1-(1-y(16))*params(1);
g1(7,16)=(-(params(1)*(-y(15))));
g1(8,3)=(-(y(5)*T(7)))/(T(4)*T(4));
g1(8,5)=(T(7)+y(5)*T(2)*y(11)*params(4)*y(13)*T(11))/T(4)-T(8)*params(5)*y(15);
g1(8,7)=(T(4)*y(5)*T(6)*T(12)-y(5)*T(7)*(-T(14)))/(T(4)*T(4));
g1(8,11)=y(5)*T(2)*params(4)*T(5)/T(4);
g1(8,13)=y(5)*T(2)*y(11)*params(4)*y(5)*T(11)/T(4)-params(5)*y(5)*y(15)*getPowerDeriv(y(13),params(6),1);
g1(8,15)=(-(T(8)*y(5)*params(5)));
g1(9,5)=(-(T(9)*y(11)*(1-params(4))*y(13)*T(10)));
g1(9,7)=params(3)*getPowerDeriv(y(7),params(2),1)-T(1)*y(11)*(1-params(4))*getPowerDeriv(y(7),(-params(4)),1);
g1(9,11)=(-(T(9)*T(1)*(1-params(4))));
g1(9,13)=(-(T(9)*y(11)*(1-params(4))*y(5)*T(10)));
g1(10,1)=(-(100*1/y(1)));
g1(10,2)=1;
g1(11,3)=(-(100*1/y(3)));
g1(11,4)=1;
g1(12,5)=(-(100*1/y(5)));
g1(12,6)=1;
g1(13,7)=(-(100*1/y(7)));
g1(13,8)=1;
g1(14,9)=(-(100*1/y(9)));
g1(14,10)=1;
g1(15,11)=(-(100*1/y(11)));
g1(15,12)=1;
g1(16,13)=(-(100*1/y(13)));
g1(16,14)=1;
g1(17,17)=1;
g1(18,18)=1;
g1(19,19)=1;
g1(20,20)=1;
if ~isreal(g1)
    g1 = real(g1)+2*imag(g1);
end
end
